#include "avr/io.h"
#include <avr/pgmspace.h>
#include "types.h"

#ifndef __NOKIALCD_H__
#define __NOKIALCD_H__

/* Global functions */
 extern void Vlcd_init(void);
 extern void Vlcd_putchar(u08 data);
 extern void Vlcd_gotoxy(u08 x, u08 y);
 extern void Vlcd_wrdata(u08 data);
 extern void Vlcd_puts(char s[]);
 extern void Vlcd_progputs(char s[]);
 extern void Vlcd_clrscr(void);
 extern void Vlcd_bar(u08 pos, u08 len);
 extern void Vlcd_invert(void);
 extern void Vlcd_normal(void);
 extern void Vlcd_contrast(u08 contrast);
 extern u08 Vlcd_logo(void);
 extern void Vlcd_back(void);
 extern void Vlcd_printprog( u08* p);
 extern void Vlcd_printprogxy( u08 x, u08 y, u08* p);
 extern void Vlcd_print( u08* p);
 extern void Vlcd_char(u08 data);
 extern void Vlcd_DrawBarLine( u08 x, u08 y, u08 data );



/* Macros */
#endif





